rtl_tcp_source_f Class Reference

`#include <rtl_tcp_source_f.h>`

Inheritance diagram for rtl_tcp_source_f:
[legend]

## Public Member Functions

| ~rtl_tcp_source_f ()
enum rtlsdr_tuner | get_tuner_type ()
unsigned int | get_tuner_gain_count ()
unsigned int | get_tuner_if_gain_count ()
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
void | set_freq (int freq)
void | set_sample_rate (int sample_rate)
void | set_gain_mode (int manual)
void | set_gain (int gain)
void | set_freq_corr (int ppm)
void | set_if_gain (int stage, int gain)
void | set_agc_mode (int on)
void | set_direct_sampling (int on)
void | set_offset_tuning (int on)

## Friends

rtl_tcp_source_f_sptr | make_rtl_tcp_source_f (size_t itemsize, const char *host, unsigned short port, int payload_size, bool eof, bool wait)

## Constructor & Destructor Documentation

## ~rtl_tcp_source_f()

rtl_tcp_source_f::~rtl_tcp_source_f | ( |  | ) |

## Member Function Documentation

## get_tuner_gain_count()

unsigned int rtl_tcp_source_f::get_tuner_gain_count | ( |  | ) |

inline

## get_tuner_if_gain_count()

unsigned int rtl_tcp_source_f::get_tuner_if_gain_count | ( |  | ) |

inline

## get_tuner_type()

enum rtlsdr_tuner rtl_tcp_source_f::get_tuner_type | ( |  | ) |

inline

## set_agc_mode()

void rtl_tcp_source_f::set_agc_mode | ( | int | on | ) |

## set_direct_sampling()

void rtl_tcp_source_f::set_direct_sampling | ( | int | on | ) |

## set_freq()

void rtl_tcp_source_f::set_freq | ( | int | freq | ) |

## set_freq_corr()

void rtl_tcp_source_f::set_freq_corr | ( | int | ppm | ) |

## set_gain()

void rtl_tcp_source_f::set_gain | ( | int | gain | ) |

## set_gain_mode()

void rtl_tcp_source_f::set_gain_mode | ( | int | manual | ) |

## set_if_gain()

void rtl_tcp_source_f::set_if_gain | ( | int | stage,
|  | int | gain
| ) |  |

## set_offset_tuning()

void rtl_tcp_source_f::set_offset_tuning | ( | int | on | ) |

## set_sample_rate()

void rtl_tcp_source_f::set_sample_rate | ( | int | sample_rate | ) |

## work()

int rtl_tcp_source_f::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

## Friends And Related Function Documentation

## make_rtl_tcp_source_f

rtl_tcp_source_f_sptr make_rtl_tcp_source_f | ( | size_t | itemsize,
|  | const char * | host,
|  | unsigned short | port,
|  | int | payload_size,
|  | bool | eof,
|  | bool | wait
| ) |  |

friend

The documentation for this class was generated from the following file:

- rtl_tcp_source_f.h